Hello There, Guest! Register

Automatic LLE!
#1
That's right, when you download the latest master branch version from rpcs3.net you will no longer have to select modules manually.

Simply install the very latest firmware version from tools -> install firmware and you are set. The option to automatically select modules is on by default. (This feature needs the original encrypted .sprx module files. If you have old decrypted .prx files reinstall from the menu as mentioned earlier)

Automatic selection will be improved in the future, but right now it should work in almost all games. The only real exception would be libfs as a few games need it, but at the same time it breaks others. For example Atelier and Journey needs it. To load libfs in addition to what is manually selected tick libfs in the module list (untick everything else) and also tick the setting "load liblv2.sprx".

Ease of use and more reliable auto selection in cases like libfs will be worked on in the near future.
Reply
#2
Very very good work thanks nekotokina
Why Libgem.sprx and libvdec.sprx don't exist in auto select ? Some game need to There
Reply
#3
(03-03-2017, 03:18 PM)aakh1361 Wrote: Very very good work thanks nekotokina
Why Libgem.sprx and libvdec.sprx don't exist in auto select ? Some game need to There

libvdec may be needed for some games, but it will crash many others. Same with libfs. You can still manually add it if need be.

libgem shouldn't work anyway because PS Move support is not there, but you can manually add it too.

This is a first version of auto LLE, it can be improved...
Reply
#4
Neko doing a great job as always.
Reply
#5
This feature is very nice, makes rpcs3 user friendly, but at the same time its still in early stage. It can broke compatibility with loading incompatible modules, but make possibility load modules from other folders than internal/external
Reply
#6
Doesn't make sense loading from other folder than external since there's where they're at on a real ps3.
Also shouldn't break compatibility as it doesn't load incompatible modules.
Reply
#7
Sorry to say but it does not work in NFS Shift http://www.emunewz.net/forum/showthread....n=lastpost
maybe thats corner case, because game needs libaudio. This setting does not enable this lib basing on the log game behaviour

Quote: Doesn't make sense loading from other folder than external since there's where they're at on a real ps3.
I meant loading other libraries from other folders like vsh ps1/2/3emu, etc
Reply
#8
This setting loads modules from a preloaded list. libaudio isn't in it like libfs because most games work without it. This will most likely be improved in the future.

There aren't other libraries from those other folders in dev_flash needed to be ran for now, so it's meaningless.
Reply
#9
(03-07-2017, 08:35 PM)Annie Wrote: This setting loads modules from a preloaded list. libaudio isn't in it like libfs because most games work without it. This will most likely be improved in the future.
Oh, ok.
But To make things clear, when i use autoload modules along with manually checked libraries, game nfs also doesnt work, Is that mean this option overrides manual selection??? Shouldnt manual selection of the libs be respected even with autoload enabled?
Reply
#10
(03-07-2017, 08:46 PM)ps0ne Wrote:
(03-07-2017, 08:35 PM)Annie Wrote: This setting loads modules from a preloaded list. libaudio isn't in it like libfs because most games work without it. This will most likely be improved in the future.
Oh, ok.
But To make things clear, when i use autoload modules along with manually checked libraries, game nfs also doesnt work, Is that mean this option overrides manual selection??? Shouldnt manual selection of the libs be respected even with autoload enabled?

To manually load a few modules on top of the automatically chosen ones also tick the option "load liblv2.sprx". As it says in the first post of this topic.
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)